summaryrefslogtreecommitdiffstats
path: root/etc/periodic/security/600.ip6fwdenied
diff options
context:
space:
mode:
Diffstat (limited to 'etc/periodic/security/600.ip6fwdenied')
-rwxr-xr-xetc/periodic/security/600.ip6fwdenied69
1 files changed, 69 insertions, 0 deletions
diff --git a/etc/periodic/security/600.ip6fwdenied b/etc/periodic/security/600.ip6fwdenied
new file mode 100755
index 0000000..36315c2
--- /dev/null
+++ b/etc/periodic/security/600.ip6fwdenied
@@ -0,0 +1,69 @@
+#!/bin/sh -
+#
+# Copyright (c) 2001 The FreeBSD Project
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+
+# Show IPv6 denied packets
+#
+
+# If there is a global system configuration file, suck it in.
+#
+if [ -r /etc/defaults/periodic.conf ]
+then
+ . /etc/defaults/periodic.conf
+ source_periodic_confs
+fi
+
+TMP=/var/run/_secure.$$
+LOG="${daily_status_security_logdir}"
+rc=0
+
+case "$daily_status_security_ip6fwdenied_enable" in
+ [Yy][Ee][Ss])
+ if ip6fw -a l 2>/dev/null | egrep "deny|reset|unreach" > ${TMP}; then
+ if [ ! -f ${LOG}/ip6fw.today ]; then
+ rc=1
+ echo ""
+ echo "No ${LOG}/ip6fw.today"
+ cp ${TMP} ${LOG}/ip6fw.today || rc=3
+ fi
+
+ if ! cmp ${LOG}/ip6fw.today ${TMP} >/dev/null; then
+ [ $rc -lt 1 ] && rc=1
+ echo ""
+ echo "${host} IPv6 denied packets:"
+ diff -b ${LOG}/ip6fw.today ${TMP} |
+ egrep "^>"
+ mv ${LOG}/ip6fw.today ${LOG}/ip6fw.yesterday || rc=3
+ mv ${TMP} ${LOG}/ip6fw.today || rc=3
+ fi
+ fi
+ rm -f ${TMP};;
+ *) rc=0;;
+esac
+
+exit $rc
OpenPOWER on IntegriCloud